=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev (>= 5.96.0~),
               libgpgme-dev,
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicalendar-dev (>= 4:23.08.0~),
               libkf5akonadicontact-dev (>= 4:23.08.0~),
               libkf5calendarcore-dev (>= 5:5.96.0~),
               libkf5calendarsupport-dev (>= 4:23.08.0~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5contacts-dev (>= 5:5.96.0~),
               libkf5coreaddons-dev (>= 5.96.0~),
               libkf5dbusaddons-dev (>= 5.96.0~),
               libkf5eventviews-dev (>= 4:23.08.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5iconthemes-dev (>= 5.96.0~),
               libkf5itemmodels-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5mailcommon-dev (>= 4:23.08.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5plasma-dev,
               libkf5qqc2desktopstyle-dev (>= 5.96.0~),
               libkf5templateparser-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.08.0~),
               libkf5windowsystem-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf
Section: oldlibs
Depends: merkuro, ${misc:Depends}
Description: Calendar application - transitional package
 Kalendar was a Kirigami based calendar application which was replaced by
 Merkuro Calendar.
 .
 This is a dummy transitional package that installs Merkuro Calendar

Package: merkuro
Architecture: amd64 arm64 armhf
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami-addons-components,
         qml-module-org-kde-kirigami-addons-delegates,
         qml-module-org-kde-kirigami-addons-labs-components,
         qml-module-org-kde-kirigami-addons-treeview,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Breaks: kalendar (<< 23.08.0~)
Replaces: kalendar (<< 23.08.0~)
Description: Kirigami based PIM applications
 Merkuro is a small collection of applications to manage your calendar, your
 mail and your addressbook.
 .
 Merkuro Calendar is a Kirigami based calendar and task management application
 that uses Akonadi. It lets you add, edit and delete events and tasks from
 local and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.
 .
 Merkuro Contact is a Kirigami based addressbook application.
 .
 Merkuro Mail is a work-in-progress mail application that uses Akonadi. For now,
 it just allows you to read your mail.
