## merkuro 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -17,16 +17,16 @@
 set(KF_MIN_VERSION "5.96.0")
 set(PIM_VERSION "5.21.0")
 
-set(AKONADI_CONTACT_VERSION "5.24.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.1")
-set(KLDAP_LIB_VERSION "5.24.1")
-set(KMAILTRANSPORT_LIB_VERSION "5.24.1")
-set(CALENDARUTILS_LIB_VERSION "5.24.1")
-set(AKONADICALENDAR_LIB_VERSION "5.24.1")
-set(KONTACTINTERFACE_LIB_VERSION "5.24.1")
-set(KMIME_LIB_VERSION "5.24.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
-set(AKONADI_VERSION "5.24.1")
+set(AKONADI_CONTACT_VERSION "5.24.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.3")
+set(KLDAP_LIB_VERSION "5.24.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.24.3")
+set(CALENDARUTILS_LIB_VERSION "5.24.3")
+set(AKONADICALENDAR_LIB_VERSION "5.24.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.24.3")
+set(KMIME_LIB_VERSION "5.24.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.3")
+set(AKONADI_VERSION "5.24.3")
 
 include(FeatureSummary)
