=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause


add_library(merkuro_lib STATIC)
target_sources(merkuro_lib PRIVATE
    colorproxymodel.cpp
    sortedcollectionproxymodel.cpp
    colorproxymodel.h
    sortedcollectionproxymodel.h
    abstractapplication.cpp
    abstractapplication.h
    actionsmodel.cpp
    actionsmodel.h
    commandbarfiltermodel.cpp
    commandbarfiltermodel.h
)
set_property(TARGET merkuro_lib PROPERTY POSITION_INDEPENDENT_CODE ON)

target_include_directories(merkuro_lib PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(merkuro_lib PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::CalendarCore
    KPim${QT_MAJOR_VERSION}::AkonadiCore
    KPim${QT_MAJOR_VERSION}::AkonadiCalendar
    KPim${QT_MAJOR_VERSION}::AkonadiContact
    KF${QT_MAJOR_VERSION}::ConfigWidgets
    KF${QT_MAJOR_VERSION}::Contacts
    KF${QT_MAJOR_VERSION}::ItemModels
    KF${QT_MAJOR_VERSION}::XmlGui
    KPim${QT_MAJOR_VERSION}::CalendarUtils
)
