=== debian/changelog ===
merkuro (23.08.5-0ubuntu5) oracular; urgency=medium

  * Depend on kf5 version of kirigami-addons. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 17 Sep 2024 09:41:37 -0700

merkuro (23.08.5-0ubuntu4) oracular; urgency=medium

  * Add missing runtime qml. (LP: #2063936) 
  * SRu: (LP: #2065063) 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 05 Jun 2024 06:45:58 -0700

merkuro (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:47 +1100

merkuro (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:55:06 +0000

merkuro (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:28:04 -0700
