=== debian/control ===
--- 
+++ 
@@ -9,30 +9,30 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.96.0~),
                gettext,
-               kirigami-addons-dev,
+               kf5-kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicalendar-dev (>= 4:23.08.4~),
-               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.08.4~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.08.4~),
+               libkf5eventviews-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.08.4~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5mailcommon-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.08.4~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
@@ -63,6 +63,9 @@
          qml-module-org-kde-kirigami-addons-delegates,
          qml-module-org-kde-kirigami-addons-labs-components,
          qml-module-org-kde-kirigami-addons-treeview,
+         qml-module-org-kde-kirigami-addons-labs-mobileform,
+         qml-module-qt-labs-platform,
+         qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kirigami2,
          qml-module-qt-labs-qmlmodels,
          qml-module-qtlocation,
